Index: ./graphics/librsvg2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/librsvg2/Makefile,v
retrieving revision 1.46
diff -u -r1.46 Makefile
--- ./graphics/librsvg2/Makefile	21 Mar 2006 06:00:46 -0000	1.46
+++ ./graphics/librsvg2/Makefile	4 Apr 2006 06:26:54 -0000
@@ -34,7 +34,7 @@
 .include "../../devel/libgsf/buildlink3.mk"
 .include "../../print/libgnomeprintui/buildlink3.mk"
 .include "../../textproc/gtk-doc/buildlink3.mk"
-BUILDLINK_DEPENDS.libcroco+=	libcroco>=0.6.1
+BUILDLINK_API_DEPENDS.libcroco+=	libcroco>=0.6.1
 .include "../../textproc/libcroco/buildlink3.mk"
 .include "../../x11/gtk2/modules.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./graphics/librsvg2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/librsvg2/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- ./graphics/librsvg2/buildlink3.mk	6 Mar 2006 00:18:13 -0000	1.15
+++ ./graphics/librsvg2/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	librsvg2
 
 .if !empty(LIBRSVG2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.librsvg2+=	librsvg2>=2.12.6nb1
-BUILDLINK_RECOMMENDED.librsvg2+=	librsvg2>=2.14.1
+BUILDLINK_API_DEPENDS.librsvg2+=	librsvg2>=2.12.6nb1
+BUILDLINK_ABI_DEPENDS.librsvg2+=	librsvg2>=2.14.1
 BUILDLINK_PKGSRCDIR.librsvg2?=	../../graphics/librsvg2
 .endif	# LIBRSVG2_BUILDLINK3_MK
 
Index: ./graphics/libungif/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libungif/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/libungif/buildlink3.mk	3 Oct 2004 00:14:55 -0000	1.6
+++ ./graphics/libungif/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libungif
 
 .if !empty(LIBUNGIF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libungif+=	libungif>=4.1.0
-BUILDLINK_RECOMMENDED.libungif+=	libungif>=4.1.3nb1
+BUILDLINK_API_DEPENDS.libungif+=	libungif>=4.1.0
+BUILDLINK_ABI_DEPENDS.libungif+=	libungif>=4.1.3nb1
 BUILDLINK_PKGSRCDIR.libungif?=	../../graphics/libungif
 .endif	# LIBUNGIF_BUILDLINK3_MK
 
Index: ./graphics/libvideogfx/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libvideogfx/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/libvideogfx/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.3
+++ ./graphics/libvideogfx/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libvideogfx
 
 .if !empty(LIBVIDEOGFX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libvideogfx+=	libvideogfx>=1.0.3
-BUILDLINK_RECOMMENDED.libvideogfx+=	libvideogfx>=1.0.3nb2
+BUILDLINK_API_DEPENDS.libvideogfx+=	libvideogfx>=1.0.3
+BUILDLINK_ABI_DEPENDS.libvideogfx+=	libvideogfx>=1.0.3nb2
 BUILDLINK_PKGSRCDIR.libvideogfx?=	../../graphics/libvideogfx
 .endif	# LIBVIDEOGFX_BUILDLINK3_MK
 
Index: ./graphics/libwmf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libwmf/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./graphics/libwmf/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.8
+++ ./graphics/libwmf/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libwmf
 
 .if !empty(LIBWMF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libwmf+=	libwmf>=0.2.8nb2
-BUILDLINK_RECOMMENDED.libwmf+=	libwmf>=0.2.8.4nb2
+BUILDLINK_API_DEPENDS.libwmf+=	libwmf>=0.2.8nb2
+BUILDLINK_ABI_DEPENDS.libwmf+=	libwmf>=0.2.8.4nb2
 BUILDLINK_PKGSRCDIR.libwmf?=	../../graphics/libwmf
 .endif	# LIBWMF_BUILDLINK3_MK
 
Index: ./graphics/mng/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/mng/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/mng/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.6
+++ ./graphics/mng/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mng
 
 .if !empty(MNG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mng+=		mng>=1.0.0
-BUILDLINK_RECOMMENDED.mng+=	mng>=1.0.9nb1
+BUILDLINK_API_DEPENDS.mng+=		mng>=1.0.0
+BUILDLINK_ABI_DEPENDS.mng+=	mng>=1.0.9nb1
 BUILDLINK_PKGSRCDIR.mng?=	../../graphics/mng
 .endif	# MNG_BUILDLINK3_MK
 
Index: ./graphics/netpbm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/netpbm/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./graphics/netpbm/buildlink3.mk	5 Feb 2006 23:09:36 -0000	1.7
+++ ./graphics/netpbm/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	netpbm
 
 .if !empty(NETPBM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.netpbm+=	netpbm>=10.11.6
-BUILDLINK_RECOMMENDED.netpbm+=	netpbm>=10.31nb2
+BUILDLINK_API_DEPENDS.netpbm+=	netpbm>=10.11.6
+BUILDLINK_ABI_DEPENDS.netpbm+=	netpbm>=10.31nb2
 BUILDLINK_PKGSRCDIR.netpbm?=	../../graphics/netpbm
 .endif	# NETPBM_BUILDLINK3_MK
 
Index: ./graphics/openexr/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/openexr/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./graphics/openexr/buildlink3.mk	5 Feb 2006 23:09:36 -0000	1.2
+++ ./graphics/openexr/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	openexr
 
 .if !empty(OPENEXR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openexr+=	openexr>=1.2.1
-BUILDLINK_RECOMMENDED.openexr?=	openexr>=1.2.2nb1
+BUILDLINK_API_DEPENDS.openexr+=	openexr>=1.2.1
+BUILDLINK_ABI_DEPENDS.openexr?=	openexr>=1.2.2nb1
 BUILDLINK_PKGSRCDIR.openexr?=	../../graphics/openexr
 .endif	# OPENEXR_BUILDLINK3_MK
 
Index: ./graphics/optipng/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/optipng/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./graphics/optipng/Makefile	19 Jan 2006 11:18:41 -0000	1.5
+++ ./graphics/optipng/Makefile	4 Apr 2006 06:26:54 -0000
@@ -8,7 +8,7 @@
 HOMEPAGE=	http://www.cs.toronto.edu/~cosmin/pngtech/optipng/
 COMMENT=	Advanced PNG Optimizer
 
-BUILDLINK_DEPENDS.zlib+=	zlib>=1.2.2
+BUILDLINK_API_DEPENDS.zlib+=	zlib>=1.2.2
 
 .include "../../devel/zlib/buildlink3.mk"
 .include "../../graphics/png/buildlink3.mk"
Index: ./graphics/p5-GD/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/p5-GD/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- ./graphics/p5-GD/Makefile	5 Feb 2006 23:09:36 -0000	1.33
+++ ./graphics/p5-GD/Makefile	4 Apr 2006 06:26:54 -0000
@@ -13,7 +13,7 @@
 
 PKG_INSTALLATION_TYPES=	overwrite pkgviews
 
-BUILDLINK_DEPENDS.gd+=	gd>=2.0.28
+BUILDLINK_API_DEPENDS.gd+=	gd>=2.0.28
 
 PERL5_PACKLIST=		auto/GD/.packlist
 PERL5_OPTIONS+=		threads
Index: ./graphics/p5-Image-Imlib2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/p5-Image-Imlib2/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./graphics/p5-Image-Imlib2/Makefile	4 Mar 2006 21:29:50 -0000	1.18
+++ ./graphics/p5-Image-Imlib2/Makefile	4 Apr 2006 06:26:54 -0000
@@ -13,7 +13,7 @@
 COMMENT=	Interface to the Imlib2 image library
 
 # versions before that contained a broken imlib2-config
-BUILDLINK_DEPENDS.imlib2+=	imlib2>=1.2.0nb2
+BUILDLINK_API_DEPENDS.imlib2+=	imlib2>=1.2.0nb2
 
 PERL5_MODULE_TYPE=	Module::Build
 
Index: ./graphics/p5-PerlMagick/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/p5-PerlMagick/Makefile,v
retrieving revision 1.49
diff -u -r1.49 Makefile
--- ./graphics/p5-PerlMagick/Makefile	4 Mar 2006 21:29:50 -0000	1.49
+++ ./graphics/p5-PerlMagick/Makefile	4 Apr 2006 06:26:54 -0000
@@ -32,7 +32,7 @@
 
 post-configure: perl5-configure
 
-BUILDLINK_DEPENDS.ImageMagick+=         ImageMagick>=${DISTVERSION}
+BUILDLINK_API_DEPENDS.ImageMagick+=         ImageMagick>=${DISTVERSION}
 .include "../../graphics/ImageMagick/buildlink3.mk"
 .include "../../mk/x11.buildlink3.mk"
 .include "../../lang/perl5/module.mk"
Index: ./graphics/plotutils/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/plotutils/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./graphics/plotutils/buildlink3.mk	5 Feb 2006 23:09:37 -0000	1.5
+++ ./graphics/plotutils/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	plotutils
 
 .if !empty(PLOTUTILS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.plotutils+=	plotutils>=2.4.1nb2
-BUILDLINK_RECOMMENDED.plotutils+=	plotutils>=2.4.1nb4
+BUILDLINK_API_DEPENDS.plotutils+=	plotutils>=2.4.1nb2
+BUILDLINK_ABI_DEPENDS.plotutils+=	plotutils>=2.4.1nb4
 BUILDLINK_PKGSRCDIR.plotutils?=	../../graphics/plotutils
 .endif	# PLOTUTILS_BUILDLINK3_MK
 
Index: ./graphics/plotutils-nox11/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/plotutils-nox11/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./graphics/plotutils-nox11/buildlink3.mk	17 Apr 2004 01:14:19 -0000	1.1
+++ ./graphics/plotutils-nox11/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	plotutils-nox11
 
 .if !empty(PLOTUTILS_NOX11_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.plotutils-nox11+=	plotutils-nox11>=2.4.1
+BUILDLINK_API_DEPENDS.plotutils-nox11+=	plotutils-nox11>=2.4.1
 BUILDLINK_PKGSRCDIR.plotutils-nox11?=	../../graphics/plotutils-nox11
 .endif	# PLOTUTILS_NOX11_BUILDLINK3_MK
 
Index: ./graphics/png/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/png/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./graphics/png/buildlink3.mk	3 Oct 2004 00:14:57 -0000	1.11
+++ ./graphics/png/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	png
 
 .if !empty(PNG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.png+=		png>=1.2.4
-BUILDLINK_RECOMMENDED.png?=	png>=1.2.6nb1
+BUILDLINK_API_DEPENDS.png+=		png>=1.2.4
+BUILDLINK_ABI_DEPENDS.png?=	png>=1.2.6nb1
 BUILDLINK_PKGSRCDIR.png?=	../../graphics/png
 .endif	# PNG_BUILDLINK3_MK
 
Index: ./graphics/povray/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/povray/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- ./graphics/povray/Makefile	5 Feb 2006 23:09:38 -0000	1.33
+++ ./graphics/povray/Makefile	4 Apr 2006 06:26:54 -0000
@@ -13,7 +13,7 @@
 
 LICENSE=	povray-license
 
-BUILDLINK_DEPENDS.zlib+=	zlib>=1.2.1
+BUILDLINK_API_DEPENDS.zlib+=	zlib>=1.2.1
 
 USE_LANGUAGES=		c c++
 GNU_CONFIGURE=		yes
Index: ./graphics/py-imaging/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/py-imaging/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./graphics/py-imaging/buildlink3.mk	5 Feb 2006 23:09:38 -0000	1.5
+++ ./graphics/py-imaging/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyimaging
 
 .if !empty(PY_IMAGING_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyimaging+=	${PYPKGPREFIX}-imaging>=1.1.4
-BUILDLINK_RECOMMENDED.pyimaging?=	${PYPKGPREFIX}-imaging>=1.1.5nb1
+BUILDLINK_API_DEPENDS.pyimaging+=	${PYPKGPREFIX}-imaging>=1.1.4
+BUILDLINK_ABI_DEPENDS.pyimaging?=	${PYPKGPREFIX}-imaging>=1.1.5nb1
 BUILDLINK_PKGSRCDIR.pyimaging?=	../../graphics/py-imaging
 .endif	# PY_IMAGING_BUILDLINK3_MK
 
Index: ./graphics/py-imagingtk/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/py-imagingtk/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- ./graphics/py-imagingtk/Makefile	4 Mar 2006 21:29:51 -0000	1.19
+++ ./graphics/py-imagingtk/Makefile	4 Apr 2006 06:26:54 -0000
@@ -13,7 +13,7 @@
 
 DIST_SUBDIR=    python
 PYDISTUTILSPKG=	yes
-BUILDLINK_DEPENDS.python20+=	python20>=2.0.1nb4
+BUILDLINK_API_DEPENDS.python20+=	python20>=2.0.1nb4
 PY_PATCHPLIST=	yes
 
 PLIST_SUBST+=	PYPKGPREFIX=${PYPKGPREFIX:Q}
Index: ./graphics/ruby-imlib2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/ruby-imlib2/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- ./graphics/ruby-imlib2/Makefile	5 Feb 2006 23:09:39 -0000	1.8
+++ ./graphics/ruby-imlib2/Makefile	4 Apr 2006 06:26:54 -0000
@@ -20,7 +20,7 @@
 
 INSTALL_TARGET=	site-install
 
-BUILDLINK_DEPENDS.imlib2+=      imlib2>=1.2.0nb2
+BUILDLINK_API_DEPENDS.imlib2+=      imlib2>=1.2.0nb2
 
 .include "../../graphics/imlib2/buildlink3.mk"
 .include "../../lang/ruby/modules.mk"
Index: ./graphics/sane-backends/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/sane-backends/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/sane-backends/buildlink3.mk	5 Feb 2006 23:09:39 -0000	1.4
+++ ./graphics/sane-backends/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sane-backends
 
 .if !empty(SANE_BACKENDS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sane-backends+=	sane-backends>=1.0.3
-BUILDLINK_RECOMMENDED.sane-backends+=	sane-backends>=1.0.17nb1
+BUILDLINK_API_DEPENDS.sane-backends+=	sane-backends>=1.0.3
+BUILDLINK_ABI_DEPENDS.sane-backends+=	sane-backends>=1.0.17nb1
 BUILDLINK_PKGSRCDIR.sane-backends?=	../../graphics/sane-backends
 .endif	# SANE_BACKENDS_BUILDLINK3_MK
 
Index: ./graphics/sane-frontends/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/sane-frontends/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- ./graphics/sane-frontends/Makefile	6 Mar 2006 00:18:17 -0000	1.25
+++ ./graphics/sane-frontends/Makefile	4 Apr 2006 06:26:54 -0000
@@ -8,7 +8,7 @@
 
 COMMENT=	Frontends for access to scanners, digitals camera, frame grabbers etc
 
-BUILDLINK_DEPENDS.sane+=	sane-backends>=${SANE_VERSION}
+BUILDLINK_API_DEPENDS.sane+=	sane-backends>=${SANE_VERSION}
 
 USE_X11BASE=	YES
 
Index: ./graphics/simage/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/simage/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/simage/buildlink3.mk	5 Feb 2006 23:09:39 -0000	1.4
+++ ./graphics/simage/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	simage
 
 .if !empty(SIMAGE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.simage+=	simage>=1.6.1
-BUILDLINK_RECOMMENDED.simage+=	simage>=1.6.1nb2
+BUILDLINK_API_DEPENDS.simage+=	simage>=1.6.1
+BUILDLINK_ABI_DEPENDS.simage+=	simage>=1.6.1nb2
 BUILDLINK_PKGSRCDIR.simage?=	../../graphics/simage
 .endif	# SIMAGE_BUILDLINK3_MK
 
Index: ./graphics/tiff/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/tiff/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./graphics/tiff/buildlink3.mk	12 May 2005 12:53:21 -0000	1.12
+++ ./graphics/tiff/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tiff
 
 .if !empty(TIFF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tiff+=	tiff>=3.6.1
-BUILDLINK_RECOMMENDED.tiff+=	tiff>=3.7.2nb1
+BUILDLINK_API_DEPENDS.tiff+=	tiff>=3.6.1
+BUILDLINK_ABI_DEPENDS.tiff+=	tiff>=3.7.2nb1
 BUILDLINK_PKGSRCDIR.tiff?=	../../graphics/tiff
 .endif	# TIFF_BUILDLINK3_MK
 
Index: ./graphics/tuxpaint/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/tuxpaint/Makefile,v
retrieving revision 1.38
diff -u -r1.38 Makefile
--- ./graphics/tuxpaint/Makefile	7 Mar 2006 18:56:46 -0000	1.38
+++ ./graphics/tuxpaint/Makefile	4 Apr 2006 06:26:54 -0000
@@ -15,9 +15,9 @@
 USE_PKGLOCALEDIR=	YES
 MANCOMPRESSED=		YES
 
-BUILDLINK_DEPENDS.SDL_mixer+=	SDL_mixer>=1.2.6
-BUILDLINK_DEPENDS.SDL_ttf+=	SDL_ttf>=2.0.7
-BUILDLINK_DEPENDS.SDL_image+=	SDL_image>=1.2.4
+BUILDLINK_API_DEPENDS.SDL_mixer+=	SDL_mixer>=1.2.6
+BUILDLINK_API_DEPENDS.SDL_ttf+=	SDL_ttf>=2.0.7
+BUILDLINK_API_DEPENDS.SDL_image+=	SDL_image>=1.2.4
 
 CONFLICTS+=		tuxpaint-stamps<2003.12.23
 
Index: ./graphics/urt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/urt/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./graphics/urt/buildlink3.mk	5 Feb 2006 23:09:40 -0000	1.2
+++ ./graphics/urt/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	urt
 
 .if !empty(URT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.urt+=	urt>=3.1b1nb5
-BUILDLINK_RECOMMENDED.urt?=	urt>=3.1b1nb6
+BUILDLINK_API_DEPENDS.urt+=	urt>=3.1b1nb5
+BUILDLINK_ABI_DEPENDS.urt?=	urt>=3.1b1nb6
 BUILDLINK_PKGSRCDIR.urt?=	../../graphics/urt
 .endif	# URT_BUILDLINK3_MK
 
Index: ./graphics/wxsvg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/wxsvg/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./graphics/wxsvg/buildlink3.mk	5 Feb 2006 23:09:40 -0000	1.2
+++ ./graphics/wxsvg/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	wxsvg
 
 .if !empty(WXSVG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.wxsvg+=	wxsvg>=1.0beta5
-BUILDLINK_RECOMMENDED.wxsvg?=	wxsvg>=1.0beta5nb1
+BUILDLINK_API_DEPENDS.wxsvg+=	wxsvg>=1.0beta5
+BUILDLINK_ABI_DEPENDS.wxsvg?=	wxsvg>=1.0beta5nb1
 BUILDLINK_PKGSRCDIR.wxsvg?=	../../graphics/wxsvg
 .endif	# WXSVG_BUILDLINK3_MK
 
Index: ./graphics/xfce4-artwork/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/xfce4-artwork/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/xfce4-artwork/buildlink3.mk	17 Feb 2006 06:49:24 -0000	1.6
+++ ./graphics/xfce4-artwork/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-artwork
 
 .if !empty(XFCE4_ARTWORK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-artwork+=	xfce4-artwork>=0.0.4nb5
-BUILDLINK_RECOMMENDED.xfce4-artwork?=	xfce4-artwork>=0.0.4nb7
+BUILDLINK_API_DEPENDS.xfce4-artwork+=	xfce4-artwork>=0.0.4nb5
+BUILDLINK_ABI_DEPENDS.xfce4-artwork?=	xfce4-artwork>=0.0.4nb7
 BUILDLINK_PKGSRCDIR.xfce4-artwork?=	../../graphics/xfce4-artwork
 .endif	# XFCE4_ARTWORK_BUILDLINK3_MK
 
Index: ./graphics/xfce4-icon-theme/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/xfce4-icon-theme/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/xfce4-icon-theme/buildlink3.mk	17 Feb 2006 06:49:24 -0000	1.6
+++ ./graphics/xfce4-icon-theme/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-icon-theme
 
 .if !empty(XFCE4_ICON_THEME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-icon-theme+=	xfce4-icon-theme>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-icon-theme?=	xfce4-icon-theme>=4.2.3nb1
+BUILDLINK_API_DEPENDS.xfce4-icon-theme+=	xfce4-icon-theme>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-icon-theme?=	xfce4-icon-theme>=4.2.3nb1
 BUILDLINK_PKGSRCDIR.xfce4-icon-theme?=	../../graphics/xfce4-icon-theme
 .endif	# XFCE4_ICON_THEME_BUILDLINK3_MK
 
Index: ./graphics/xfce4-iconbox/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/xfce4-iconbox/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./graphics/xfce4-iconbox/buildlink3.mk	17 Feb 2006 06:49:24 -0000	1.11
+++ ./graphics/xfce4-iconbox/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-iconbox
 
 .if !empty(XFCE4_ICONBOX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-iconbox+=	xfce4-iconbox>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-iconbox?=	xfce4-iconbox>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-iconbox+=	xfce4-iconbox>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-iconbox?=	xfce4-iconbox>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-iconbox?=	../../graphics/xfce4-iconbox
 .endif	# XFCE4_ICONBOX_BUILDLINK3_MK
 
Index: ./graphics/xfig/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/xfig/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- ./graphics/xfig/Makefile	5 Feb 2006 23:09:41 -0000	1.45
+++ ./graphics/xfig/Makefile	4 Apr 2006 06:26:54 -0000
@@ -13,7 +13,7 @@
 DEPENDS+=	transfig>=3.2.4:../../print/transfig
 # if we're using Xaw3d, then we need 1.5E or newer since using that
 # version means we need a patch, which is currently used unconditionally
-BUILDLINK_DEPENDS.Xaw3d+=	Xaw3d>=1.5E
+BUILDLINK_API_DEPENDS.Xaw3d+=	Xaw3d>=1.5E
 
 WRKSRC=			${WRKDIR}/xfig.3.2.5-alpha5
 USE_IMAKE=		YES
Index: ./graphics/xpm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/xpm/buildlink3.mk,v
retrieving revision 1.19
diff -u -r1.19 buildlink3.mk
--- ./graphics/xpm/buildlink3.mk	5 Feb 2006 23:09:41 -0000	1.19
+++ ./graphics/xpm/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xpm
 
 .if !empty(XPM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xpm+=		xpm>=3.4k
-BUILDLINK_RECOMMENDED.xpm?=	xpm>=3.4knb6
+BUILDLINK_API_DEPENDS.xpm+=		xpm>=3.4k
+BUILDLINK_ABI_DEPENDS.xpm?=	xpm>=3.4knb6
 BUILDLINK_PKGSRCDIR.xpm?=	../../graphics/xpm
 .endif	# XPM_BUILDLINK3_MK
 
Index: ./graphics/xpm/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/xpm/builtin.mk,v
retrieving revision 1.10
diff -u -r1.10 builtin.mk
--- ./graphics/xpm/builtin.mk	3 Jun 2005 19:12:49 -0000	1.10
+++ ./graphics/xpm/builtin.mk	4 Apr 2006 06:26:54 -0000
@@ -63,7 +63,7 @@
 .    if defined(BUILTIN_PKG.xpm) && \
         !empty(IS_BUILTIN.xpm:M[yY][eE][sS])
 USE_BUILTIN.xpm=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.xpm}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.xpm}
 .        if !empty(USE_BUILTIN.xpm:M[yY][eE][sS])
 USE_BUILTIN.xpm!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.xpm:Q}; then	\
Index: ./ham/gnuradio-core/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/ham/gnuradio-core/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./ham/gnuradio-core/buildlink3.mk	5 Feb 2006 23:09:41 -0000	1.5
+++ ./ham/gnuradio-core/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnuradio-core
 
 .if !empty(GNURADIO_CORE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnuradio-core+=	gnuradio-core>=2.6
-BUILDLINK_RECOMMENDED.gnuradio-core?=	gnuradio-core>=2.6nb3
+BUILDLINK_API_DEPENDS.gnuradio-core+=	gnuradio-core>=2.6
+BUILDLINK_ABI_DEPENDS.gnuradio-core?=	gnuradio-core>=2.6nb3
 BUILDLINK_PKGSRCDIR.gnuradio-core?=	../../ham/gnuradio-core
 .endif	# GNURADIO_CORE_BUILDLINK3_MK
 
Index: ./ham/gnuradio-wxgui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/ham/gnuradio-wxgui/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./ham/gnuradio-wxgui/buildlink3.mk	5 Feb 2006 23:09:42 -0000	1.3
+++ ./ham/gnuradio-wxgui/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnuradio-wxgui
 
 .if !empty(GNURADIO_WXGUI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnuradio-wxgui+=	gnuradio-wxgui>=0.3
-BUILDLINK_RECOMMENDED.gnuradio-wxgui?=	gnuradio-wxgui>=0.4nb2
+BUILDLINK_API_DEPENDS.gnuradio-wxgui+=	gnuradio-wxgui>=0.3
+BUILDLINK_ABI_DEPENDS.gnuradio-wxgui?=	gnuradio-wxgui>=0.4nb2
 BUILDLINK_PKGSRCDIR.gnuradio-wxgui?=	../../ham/gnuradio-wxgui
 .endif	# GNURADIO_WXGUI_BUILDLINK3_MK
 
Index: ./ham/hamlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/ham/hamlib/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./ham/hamlib/buildlink3.mk	28 Feb 2006 00:10:04 -0000	1.4
+++ ./ham/hamlib/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	hamlib
 
 .if !empty(HAMLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.hamlib+=	hamlib>=1.1.4
-BUILDLINK_RECOMMENDED.hamlib+=	hamlib>=1.2.5
+BUILDLINK_API_DEPENDS.hamlib+=	hamlib>=1.1.4
+BUILDLINK_ABI_DEPENDS.hamlib+=	hamlib>=1.2.5
 BUILDLINK_PKGSRCDIR.hamlib?=	../../ham/hamlib
 .endif	# HAMLIB_BUILDLINK3_MK
 
Index: ./ham/usrp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/ham/usrp/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./ham/usrp/buildlink3.mk	5 Feb 2006 23:09:42 -0000	1.4
+++ ./ham/usrp/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	usrp
 
 .if !empty(USRP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.usrp+=	usrp>=0.9
-BUILDLINK_RECOMMENDED.usrp?=	usrp>=0.9nb2
+BUILDLINK_API_DEPENDS.usrp+=	usrp>=0.9
+BUILDLINK_ABI_DEPENDS.usrp?=	usrp>=0.9nb2
 BUILDLINK_PKGSRCDIR.usrp?=	../../ham/usrp
 .endif	# USRP_BUILDLINK3_MK
 
Index: ./inputmethod/anthy/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/inputmethod/anthy/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./inputmethod/anthy/buildlink3.mk	5 Feb 2006 23:09:42 -0000	1.2
+++ ./inputmethod/anthy/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	anthy
 
 .if !empty(ANTHY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.anthy+=	anthy>=6300
-BUILDLINK_RECOMMENDED.anthy?=	anthy>=7100bnb1
+BUILDLINK_API_DEPENDS.anthy+=	anthy>=6300
+BUILDLINK_ABI_DEPENDS.anthy?=	anthy>=7100bnb1
 BUILDLINK_PKGSRCDIR.anthy?=	../../inputmethod/anthy
 .endif  # ANTHY_BUILDLINK3_MK
 
Index: ./inputmethod/canna-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/inputmethod/canna-lib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./inputmethod/canna-lib/buildlink3.mk	5 Mar 2004 21:08:52 -0000	1.2
+++ ./inputmethod/canna-lib/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	Canna-lib
 
 .if !empty(CANNA_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Canna-lib+=	Canna-lib>=3.6pl4
+BUILDLINK_API_DEPENDS.Canna-lib+=	Canna-lib>=3.6pl4
 BUILDLINK_PKGSRCDIR.Canna-lib?=	../../inputmethod/canna-lib
 
 .endif	# CANNA_LIB_BUILDLINK3_MK
Index: ./inputmethod/ja-freewnn-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/inputmethod/ja-freewnn-lib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./inputmethod/ja-freewnn-lib/buildlink3.mk	5 May 2005 19:37:22 -0000	1.2
+++ ./inputmethod/ja-freewnn-lib/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	ja-FreeWnn-lib
 
 .if !empty(JA_FREEWNN_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ja-FreeWnn-lib+=	ja-FreeWnn-lib>=1.10nb3
+BUILDLINK_API_DEPENDS.ja-FreeWnn-lib+=	ja-FreeWnn-lib>=1.10nb3
 BUILDLINK_PKGSRCDIR.ja-FreeWnn-lib?=	../../inputmethod/ja-freewnn-lib
 BUILDLINK_DEPMETHOD.ja-freewnn?=	build
 .endif	# JA_FREEWNN_LIB_BUILDLINK3_MK
Index: ./inputmethod/libchewing/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/inputmethod/libchewing/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./inputmethod/libchewing/buildlink3.mk	28 Jan 2006 02:42:06 -0000	1.1.1.1
+++ ./inputmethod/libchewing/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libchewing
 
 .if !empty(LIBCHEWING_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libchewing+=		libchewing>=0.2.7
-BUILDLINK_RECOMMENDED.libchewing+=	libchewing>=0.2.7
+BUILDLINK_API_DEPENDS.libchewing+=		libchewing>=0.2.7
+BUILDLINK_ABI_DEPENDS.libchewing+=	libchewing>=0.2.7
 BUILDLINK_PKGSRCDIR.libchewing?=	../../inputmethod/libchewing
 .endif	# LIBCHEWING_BUILDLINK3_MK
 
Index: ./inputmethod/libtabe/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/inputmethod/libtabe/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./inputmethod/libtabe/buildlink3.mk	5 Feb 2006 23:09:43 -0000	1.3
+++ ./inputmethod/libtabe/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libtabe
 
 .if !empty(LIBTABE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libtabe+=	libtabe>=0.2.5
-BUILDLINK_RECOMMENDED.libtabe+=	libtabe>=0.2.5nb2
+BUILDLINK_API_DEPENDS.libtabe+=	libtabe>=0.2.5
+BUILDLINK_ABI_DEPENDS.libtabe+=	libtabe>=0.2.5nb2
 BUILDLINK_PKGSRCDIR.libtabe?=	../../inputmethod/libtabe
 .endif	# LIBTABE_BUILDLINK3_MK
 
Index: ./inputmethod/sj3-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/inputmethod/sj3-lib/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./inputmethod/sj3-lib/buildlink3.mk	30 Nov 2004 02:30:59 -0000	1.3
+++ ./inputmethod/sj3-lib/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	sj3-lib
 
 .if !empty(SJ3_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sj3-lib+=	sj3-lib>=2.0.1.20nb1
+BUILDLINK_API_DEPENDS.sj3-lib+=	sj3-lib>=2.0.1.20nb1
 BUILDLINK_PKGSRCDIR.sj3-lib?=	../../inputmethod/sj3-lib
 .endif	# SJ3_LIB_BUILDLINK3_MK
 
Index: ./inputmethod/uim/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/inputmethod/uim/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./inputmethod/uim/buildlink3.mk	5 Feb 2006 23:09:43 -0000	1.3
+++ ./inputmethod/uim/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	uim
 
 .if !empty(UIM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.uim+=		uim>=0.4.6
-BUILDLINK_RECOMMENDED.uim?=	uim>=1.0.1nb2
+BUILDLINK_API_DEPENDS.uim+=		uim>=0.4.6
+BUILDLINK_ABI_DEPENDS.uim?=	uim>=1.0.1nb2
 BUILDLINK_PKGSRCDIR.uim?=	../../inputmethod/uim
 .endif  # UIM_BUILDLINK3_MK
 
Index: ./inputmethod/unicon-im/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/inputmethod/unicon-im/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./inputmethod/unicon-im/buildlink3.mk	5 Feb 2006 23:09:43 -0000	1.3
+++ ./inputmethod/unicon-im/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	unicon-im
 
 .if !empty(UNICON_IM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.unicon-im+=	unicon-im>=1.2nb2
-BUILDLINK_RECOMMENDED.unicon-im+=	unicon-im>=1.2nb4
+BUILDLINK_API_DEPENDS.unicon-im+=	unicon-im>=1.2nb2
+BUILDLINK_ABI_DEPENDS.unicon-im+=	unicon-im>=1.2nb4
 BUILDLINK_PKGSRCDIR.unicon-im?=	../../inputmethod/unicon-im
 .endif	# UNICON_IM_BUILDLINK3_MK
 
Index: ./lang/Cg-compiler/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/Cg-compiler/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/Cg-compiler/buildlink3.mk	5 Feb 2006 23:09:43 -0000	1.2
+++ ./lang/Cg-compiler/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Cg-compiler
 
 .if !empty(CG_COMPILER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Cg-compiler+=		Cg-compiler>=1.2.1
-BUILDLINK_RECOMMENDED.Cg-compiler?=	Cg-compiler>=1.3beta2nb1
+BUILDLINK_API_DEPENDS.Cg-compiler+=		Cg-compiler>=1.2.1
+BUILDLINK_ABI_DEPENDS.Cg-compiler?=	Cg-compiler>=1.3beta2nb1
 BUILDLINK_PKGSRCDIR.Cg-compiler?=	../../lang/Cg-compiler
 .endif	# CG_COMPILER_BUILDLINK3_MK
 
